import { _decorator, Component, Node } from 'cc';
import { SceneDef } from '../../scripts/SceneDef';
import { UISettings } from '../ui_settings/UISettings';
import { UINotice } from '../ui_notice/UINotice';
import { UIMail } from '../ui_mail/UIMail';
import { UIEnterRoom } from '../ui_enter_room/UIEnterRoom';
import { UIAboutQLZ } from '../ui_about_qlz/UIAboutQLZ';
const { ccclass, property } = _decorator;

@ccclass('MenuBar')
export class MenuBar extends Component {
    start() {

    }

    update(deltaTime: number) {
        
    }

    onBtnSettingsClicked(){
        tgx.UIMgr.inst.showUI(UISettings);
    }

    onBtnAboutClicked(){
        tgx.UIMgr.inst.showUI(UIAboutQLZ);
    }

    onBtnShuYuanClicked(){
     }

    onBtnNoticeClicked(){
        tgx.UIMgr.inst.showUI(UINotice);
    }

    onBtnMailClicked(){
        tgx.UIMgr.inst.showUI(UIMail);
    }

    onBtnLuckyClicked(){

    }

    onBtnDailyClicked(){

    }

    onBtnEnterRoomClicked(){
        tgx.UIMgr.inst.showUI(UIEnterRoom);
    }

    onBtnBackClicked(){
        tgx.SceneUtil.loadScene(SceneDef.LOBBY);
    }
}


